Solid Edge Framework Type Library
GetItemRevBasedOnSEType Method
Solid Edge dataset type.
Specifies the UserName of the user.
2D Array of ItemID and RevID whose dataset type equal to the input.
Description
Returns a list of Item ID and Item Revision ID based on a SE Types
Syntax
Visual Basic
Public Sub GetItemRevBasedOnSEType( _
   ByVal nSEType As TCESETypes, _
   ByVal bstrUserName As String, _
   ByRef ListOfItemRevIds As Variant _
) 
Parameters
nSEType
ValueDescription
TCE_SEAssembly 
TCE_SEDraft 
TCE_SEPart 
TCE_SESheetmetal 
TCE_SEWeldment 
Solid Edge dataset type.
bstrUserName
Specifies the UserName of the user.
ListOfItemRevIds
2D Array of ItemID and RevID whose dataset type equal to the input.
Remarks
This function will be used to get the list of Item IDs and Item Revision IDs based on Solid Edge dataset type. If the Username is specified then the function searches and returns the list of Item IDs and Item Revision IDs based on Solid Edge dataset type for the specified user. If the Username is empty then function searches the whole database and returns the list of Item IDs and Item Revision IDs based on Solid Edge dataset type.
Example
Option Explicit

Sub Example()
    Dim objApplication As SolidEdgeFramework.Application
    Dim objTCE As SolidEdgeFramework.SolidEdgeTCE
    Dim ItemRevIds As Variant
    Dim nCount As Long
    Dim iIndex As Integer
    Dim seTypes As TCESETypes
    Dim strUserName As String

    Set objApplication = GetObject(, "SolidEdge.Application")
    Set objTCE = objApplication.SolidEdgeTCE

    seTypes = TCE_SEAssembly
    strUserName = "User"
    nCount = 0

    'Provide empty user name if you want to search in whole database
    Call objTCE.GetItemRevBasedOnSEType(seTypes, strUserName, ItemRevIds)

    If Not IsEmpty(ItemRevIds) Then
        nCount = UBound(ItemRevIds)
        For iIndex = 0 To nCount
            'ItemRevIds(iIndex, 0) = Item ID whose dataset type equal to the input type (TCE_SEAssembly)
            'ItemRevIds(iIndex, 1) = Revision ID whose dataset type equal to the input type (TCE_SEAssembly)
        Next
    End If

    If Not objApplication Is Nothing Then
        Call objApplication.Quit
    End If
    
    Set objTCE = Nothing
    Set objApplication = Nothing
End Sub
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members  | Solid Edge ST - What's New  | Solid Edge V20 SP6 - What's New